ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-3.0/configure
(Generate patch)

Comparing trunk/OOPSE-3.0/configure (file contents):
Revision 1998 by tim, Fri Feb 11 22:37:36 2005 UTC vs.
Revision 2265 by gezelter, Wed Jul 20 17:04:42 2005 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI SPRNG_LIB_DIR SPRNG_INC_DIR SPRNG_LIB USE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT PERLINTERP PERL_SHEBANG AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI CXXCPP USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 789 | Line 789 | ac_cv_env_CPP_value=$CPP
789   ac_env_CPP_value=$CPP
790   ac_cv_env_CPP_set=${CPP+set}
791   ac_cv_env_CPP_value=$CPP
792 + ac_env_CXXCPP_set=${CXXCPP+set}
793 + ac_env_CXXCPP_value=$CXXCPP
794 + ac_cv_env_CXXCPP_set=${CXXCPP+set}
795 + ac_cv_env_CXXCPP_value=$CXXCPP
796  
797   #
798   # Report the --help message.
# Line 875 | Line 879 | Optional Packages:
879   Optional Packages:
880    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
881    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
882 +  --with-perl-shebang     override what perl thinks is the way for the kernel
883 +                          to start it (seldom needed)
884    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
885 <  --with-sprng=<prefix>   compile with SPRNG installed in <prefix>
880 <                          [default=/usr/local]
881 <  --with-mkl              Do we want MKL will check /usr/local/intel/mkl61 /opt/intel/mkl61
885 >  --with-cgal-makefile=FILE  CGAL makefile that should be used
886  
887   Some influential environment variables:
888    CC          C compiler command
# Line 892 | Line 896 | Some influential environment variables:
896    F90         Fortran 90 compiler command
897    F90FLAGS    Fortran 90 compiler flags
898    CPP         C preprocessor
899 +  CXXCPP      C++ preprocessor
900  
901   Use these variables to override the choices made by `configure' or to help
902   it to find libraries and programs with nonstandard names/locations.
# Line 1877 | Line 1882 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1882  
1883  
1884  
1885 + #
1886 + #
1887 + #
1888  
1889  
1890  
# Line 3542 | Line 3550 | F90FLAGS="$F90FLAGS $ac_verb"
3550   ac_save_F90FLAGS=$F90FLAGS
3551   F90FLAGS="$F90FLAGS $ac_verb"
3552  
3553 < (eval echo $as_me:3545: \"$ac_link\") >&5
3553 > (eval echo $as_me:3553: \"$ac_link\") >&5
3554   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3555   echo "$ac_f90_v_output" >&5
3556   F90FLAGS=$ac_save_F90FLAGS
# Line 3619 | Line 3627 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3627   ac_save_F90FLAGS=$F90FLAGS
3628   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3629  
3630 < (eval echo $as_me:3622: \"$ac_link\") >&5
3630 > (eval echo $as_me:3630: \"$ac_link\") >&5
3631   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3632   echo "$ac_f90_v_output" >&5
3633   F90FLAGS=$ac_save_F90FLAGS
# Line 5265 | Line 5273 | rm -f conftest.err conftest.$ac_objext conftest.$ac_ex
5273   echo "${ECHO_T}no" >&6
5274   fi
5275   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5268
5269
5270
5276  
5277    # clean out junk possibly left behind by a previous configuration
5278    rm -f src/getopt.h
# Line 6155 | Line 6160 | if test "$ac_test_CXXFLAGS" != "set"; then
6160                  echo "*******************************************************"
6161          fi;;
6162     *darwin*)
6163 <        if test "$CXX" = xlc++; then
6163 >        if test "$CXX" = xlc++ -o "$CXX" = xlC ; then
6164                  CXXFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
6165          fi;;
6166    esac
# Line 7157 | Line 7162 | _ACEOF
7162   cat >>confdefs.h <<\_ACEOF
7163   #define YYTEXT_POINTER 1
7164   _ACEOF
7165 +
7166 + fi
7167 +
7168 + fi
7169 +
7170 +   # Extract the first word of "perl", so it can be a program name with args.
7171 + set dummy perl; ac_word=$2
7172 + echo "$as_me:$LINENO: checking for $ac_word" >&5
7173 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7174 + if test "${ac_cv_path_PERLINTERP+set}" = set; then
7175 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7176 + else
7177 +  case $PERLINTERP in
7178 +  [\\/]* | ?:[\\/]*)
7179 +  ac_cv_path_PERLINTERP="$PERLINTERP" # Let the user override the test with a path.
7180 +  ;;
7181 +  *)
7182 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7183 + for as_dir in $PATH
7184 + do
7185 +  IFS=$as_save_IFS
7186 +  test -z "$as_dir" && as_dir=.
7187 +  for ac_exec_ext in '' $ac_executable_extensions; do
7188 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7189 +    ac_cv_path_PERLINTERP="$as_dir/$ac_word$ac_exec_ext"
7190 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7191 +    break 2
7192 +  fi
7193 + done
7194 + done
7195 +
7196 +  test -z "$ac_cv_path_PERLINTERP" && ac_cv_path_PERLINTERP="perl"
7197 +  ;;
7198 + esac
7199 + fi
7200 + PERLINTERP=$ac_cv_path_PERLINTERP
7201 +
7202 + if test -n "$PERLINTERP"; then
7203 +  echo "$as_me:$LINENO: result: $PERLINTERP" >&5
7204 + echo "${ECHO_T}$PERLINTERP" >&6
7205 + else
7206 +  echo "$as_me:$LINENO: result: no" >&5
7207 + echo "${ECHO_T}no" >&6
7208 + fi
7209  
7210 +   ac_cv_path_perlinterp="$PERLINTERP"
7211 +   _sHpB='#!'
7212 +
7213 +
7214 + # Check whether --with-perl-shebang or --without-perl-shebang was given.
7215 + if test "${with_perl_shebang+set}" = set; then
7216 +  withval="$with_perl_shebang"
7217 +  opt_perl_shebang="$withval"
7218 + else
7219 +                opt_perl_shebang="not_set"
7220 + fi;
7221 +   echo "$as_me:$LINENO: checking whether explicit instead of detected sharpbang is to be used" >&5
7222 + echo $ECHO_N "checking whether explicit instead of detected sharpbang is to be used... $ECHO_C" >&6
7223 + if test "${ax_cv_opt_perl_shebang+set}" = set; then
7224 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7225 + else
7226 +   case "$opt_perl_shebang" in
7227 +                      not_set  ) ax_cv_opt_perl_shebang=''
7228 +                               ;;
7229 +                         *     )
7230 +        ax_cv_opt_perl_shebang=`echo "$opt_perl_shebang" | sed -e's|^#!\s*\(.*\)$|\1|'`
7231 +                    esac
7232 +
7233   fi
7234 + echo "$as_me:$LINENO: result: $ax_cv_opt_perl_shebang" >&5
7235 + echo "${ECHO_T}$ax_cv_opt_perl_shebang" >&6
7236 +   if test "A$ax_cv_opt_perl_shebang" != "A"
7237 +     then
7238 +       ac_cv_sys_kernshrpbang_perl="$ax_cv_opt_perl_shebang"
7239 +       PERL_SHEBANG="$ac_cv_sys_kernshrpbang_perl"
7240 +              { echo "$as_me:$LINENO: OK - PERL_SHEBANG is $_sHpB$PERL_SHEBANG." >&5
7241 + echo "$as_me: OK - PERL_SHEBANG is $_sHpB$PERL_SHEBANG." >&6;}
7242  
7243 + # Automatic detection of sharpbang formula starts here
7244 +     else
7245 +   _somian_shbangperl=`$PERLINTERP -V:startperl`
7246 +   negclass="[^']"; # must leave this comment:  m4 will remove the outer brackets for us, heheh
7247 +   echo "$as_me:$LINENO: checking for kernel sharpbang invocation to start perl" >&5
7248 + echo $ECHO_N "checking for kernel sharpbang invocation to start perl... $ECHO_C" >&6
7249 + if test "${ac_cv_sys_kernshrpbang_perl+set}" = set; then
7250 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7251 + else
7252 +  _somian_kspb_perl=`echo "$_somian_shbangperl" | sed -ne"s|.*='\($negclass*\)';$|\1|p"`
7253 +        if test "x$_somian_kspb_perl" == x
7254 +          then _somian_ksbp_warn_empty='durnit'
7255 +          else
7256 +          case "A$_somian_kspb_perl" in
7257 +                 A#!*perl* )
7258 +           ac_cv_sys_kernshrpbang_perl=`echo "$_somian_kspb_perl" | sed -e's|#!\(.*\)$|\1|'`
7259 +                        ;;
7260 +                     A*    )  _somian_ksbp_warn_defau='trouble'
7261 +                              ac_cv_sys_kernshrpbang_perl="$PERLINTERP"
7262 +          esac
7263 +        fi
7264 +
7265   fi
7266 + echo "$as_me:$LINENO: result: $ac_cv_sys_kernshrpbang_perl" >&5
7267 + echo "${ECHO_T}$ac_cv_sys_kernshrpbang_perl" >&6
7268 + # The above prints Checking ... result message to user.
7269 +   PERL_SHEBANG="$ac_cv_sys_kernshrpbang_perl"
7270 +
7271 +    if test A${_somian_ksbp_warn_empty+set} == Aset
7272 +      then   { echo "$as_me:$LINENO: WARNING: In last check, doing $PERLINTERP -V:startperl yielded empty result! That should not happen." >&5
7273 + echo "$as_me: WARNING: In last check, doing $PERLINTERP -V:startperl yielded empty result! That should not happen." >&2;}
7274 +    fi
7275 + # Inform user after printing result value
7276 +    if test A${_somian_ksbp_warn_defau+set} == Aset
7277 +      then { echo "$as_me:$LINENO: Maybe Not good -" >&5
7278 + echo "$as_me: Maybe Not good -" >&6;}
7279 +           { echo "$as_me:$LINENO: WARNING: In last check perl's Config query did not work so we bunted: $_sHpB$PERLINTERP" >&5
7280 + echo "$as_me: WARNING: In last check perl's Config query did not work so we bunted: $_sHpB$PERLINTERP" >&2;}
7281 +      else { echo "$as_me:$LINENO: OK Good result - " >&5
7282 + echo "$as_me: OK Good result - " >&6;}
7283 +           { echo "$as_me:$LINENO: In last check we got a proper-looking answer from perl's Config: $_somian_shbangperl" >&5
7284 + echo "$as_me: In last check we got a proper-looking answer from perl's Config: $_somian_shbangperl" >&6;}
7285 +    fi
7286 +  fi
7287 +
7288   # Extract the first word of "ar", so it can be a program name with args.
7289   set dummy ar; ac_word=$2
7290   echo "$as_me:$LINENO: checking for $ac_word" >&5
# Line 7258 | Line 7382 | fi
7382    exit 1
7383   fi
7384  
7385 + # Extract the first word of "ps", so it can be a program name with args.
7386 + set dummy ps; ac_word=$2
7387 + echo "$as_me:$LINENO: checking for $ac_word" >&5
7388 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7389 + if test "${ac_cv_path_PS+set}" = set; then
7390 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7391 + else
7392 +  case $PS in
7393 +  [\\/]* | ?:[\\/]*)
7394 +  ac_cv_path_PS="$PS" # Let the user override the test with a path.
7395 +  ;;
7396 +  *)
7397 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7398 + for as_dir in $PATH
7399 + do
7400 +  IFS=$as_save_IFS
7401 +  test -z "$as_dir" && as_dir=.
7402 +  for ac_exec_ext in '' $ac_executable_extensions; do
7403 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7404 +    ac_cv_path_PS="$as_dir/$ac_word$ac_exec_ext"
7405 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7406 +    break 2
7407 +  fi
7408 + done
7409 + done
7410  
7411 +  ;;
7412 + esac
7413 + fi
7414 + PS=$ac_cv_path_PS
7415  
7416 + if test -n "$PS"; then
7417 +  echo "$as_me:$LINENO: result: $PS" >&5
7418 + echo "${ECHO_T}$PS" >&6
7419 + else
7420 +  echo "$as_me:$LINENO: result: no" >&5
7421 + echo "${ECHO_T}no" >&6
7422 + fi
7423 +
7424 + echo "$as_me:$LINENO: checking for POSIX or BSD ps syntax" >&5
7425 + echo $ECHO_N "checking for POSIX or BSD ps syntax... $ECHO_C" >&6
7426 + if test "${ac_cv_prog_ps_syntax+set}" = set; then
7427 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7428 + else
7429 +
7430 +        if $PS ax -o rss > /dev/null 2>&1; then
7431 +                ac_cv_prog_ps_ax=yes
7432 +        else
7433 +                ac_cv_prog_ps_ax=no
7434 +        fi
7435 +        if $PS -ef -o rss > /dev/null 2>&1; then
7436 +                ac_cv_prog_ps_ef=yes
7437 +        else
7438 +                ac_cv_prog_ps_ef=no
7439 +        fi
7440 +        if test "$ac_cv_prog_ps_ax" = yes; then
7441 +                ac_cv_prog_ps_syntax=BSD
7442 +        else
7443 +                if test "$ac_cv_prog_ps_ef" = yes; then
7444 +                        ac_cv_prog_ps_syntax=POSIX
7445 +                else
7446 +                        { { echo "$as_me:$LINENO: error: Could not determine ps syntax" >&5
7447 + echo "$as_me: error: Could not determine ps syntax" >&2;}
7448 +   { (exit 1); exit 1; }; }
7449 +                fi
7450 +        fi
7451 +
7452 + fi
7453 + echo "$as_me:$LINENO: result: $ac_cv_prog_ps_syntax" >&5
7454 + echo "${ECHO_T}$ac_cv_prog_ps_syntax" >&6
7455 +
7456 +
7457 + cat >>confdefs.h <<_ACEOF
7458 + #define PSCOMMAND $PS
7459 + _ACEOF
7460 +
7461 +
7462 + if test "$ac_cv_prog_ps_syntax" = BSD; then
7463 +  cat >>confdefs.h <<\_ACEOF
7464 + #define PSTYPE_IS_BSD 1
7465 + _ACEOF
7466 +
7467 + else
7468 +   if test "$ac_cv_prog_ps_syntax" = POSIX; then
7469 +       cat >>confdefs.h <<\_ACEOF
7470 + #define PSTYPE_IS_POSIX 1
7471 + _ACEOF
7472 +
7473 +   else
7474 +       { { echo "$as_me:$LINENO: error: Unknown ps syntax type!" >&5
7475 + echo "$as_me: error: Unknown ps syntax type!" >&2;}
7476 +   { (exit 1); exit 1; }; }
7477 +   fi
7478 + fi
7479 +
7480 +
7481   # Check whether --with-mpi or --without-mpi was given.
7482   if test "${with_mpi+set}" = set; then
7483    withval="$with_mpi"
# Line 7288 | Line 7506 | echo '#include <mpi.h>' > conftest.cc
7506   echo "$as_me:$LINENO: checking for mpi.h" >&5
7507   echo $ECHO_N "checking for mpi.h... $ECHO_C" >&6
7508   have_mpi_h=0
7509 + rm -f conftest*
7510   echo '#include <mpi.h>' > conftest.cc
7511 < if test -z "`${CXX} -I${MPI_INC_DIR} -c conftest.cc 2>&1`"; then
7511 > if ${CXX} -I${MPI_INC_DIR} -c conftest.cc 2>&1 ; then
7512          echo "$as_me:$LINENO: result: yes" >&5
7513   echo "${ECHO_T}yes" >&6
7514          have_mpi_h=1
7515   else
7516 +        if test -s conftest.out ; then
7517 +                cat conftest.out >> config.log
7518 +        fi
7519          echo "$as_me:$LINENO: result: no! Check MPI include paths" >&5
7520   echo "${ECHO_T}no! Check MPI include paths" >&6
7521          USE_MPI="no"
# Line 7730 | Line 7952 | fi
7952  
7953  
7954  
7733 # Check whether --with-sprng or --without-sprng was given.
7734 if test "${with_sprng+set}" = set; then
7735  withval="$with_sprng"
7736  with_sprng=$withval
7737 else
7738  with_sprng="/usr/local"
7739 fi;
7955  
7956 < case "x$with_sprng" in
7957 <        xyes | "x")  USE_SPRNG=yes;;
7743 <        xno) USE_SPRNG=no ;;
7744 <        *) SPRNG="$with_sprng"; USE_SPRNG=yes ;;
7745 < esac
7746 < if test "$USE_SPRNG" = "yes" -a -z "$with_sprng"; then
7747 <        SPRNG="/usr/local"
7748 < fi
7749 < if test "$USE_SPRNG" = "yes"; then
7956 > USE_CGAL=no
7957 > cgal_makefile=auto
7958  
7959 + # Check whether --with-cgal-makefile or --without-cgal-makefile was given.
7960 + if test "${with_cgal_makefile+set}" = set; then
7961 +  withval="$with_cgal_makefile"
7962 +  cgal_makefile="$withval"
7963 + fi;
7964  
7965 < # Set variables...
7753 < SPRNG_LIB_DIR="$SPRNG/lib"
7754 < SPRNG_INC_DIR="$SPRNG/include"
7965 > if test "x$cgal_makefile" != xno; then
7966  
7967 +  if test "x$cgal_makefile" = xauto -a "x$CGAL_MAKEFILE" != x; then
7968 +    cgal_makefile="$CGAL_MAKEFILE"
7969 +  fi
7970  
7971 +  echo "$as_me:$LINENO: checking for cgal_makefile: $cgal_makefile" >&5
7972 + echo $ECHO_N "checking for cgal_makefile: $cgal_makefile... $ECHO_C" >&6
7973  
7974 < echo "$as_me:$LINENO: checking for sprng.h" >&5
7759 < echo $ECHO_N "checking for sprng.h... $ECHO_C" >&6
7760 < have_sprng_h=0
7761 < echo '#include <sprng.h>' > conftest.cc
7762 < if test -z "`${CXX} -I${SPRNG_INC_DIR} -c conftest.cc 2>&1`"; then
7763 <        echo "$as_me:$LINENO: result: yes" >&5
7764 < echo "${ECHO_T}yes" >&6
7765 <        have_sprng_h=1
7766 < else
7767 <        echo "$as_me:$LINENO: result: no! Check SPRNG include path!" >&5
7768 < echo "${ECHO_T}no! Check SPRNG include path!" >&6
7769 <        USE_SPRNG="no"
7770 < fi
7771 < rm -f conftest*
7772 < if test "$have_sprng_h" = 1; then
7974 >  if test -f "$cgal_makefile"; then
7975  
7976 < cat >>confdefs.h <<\_ACEOF
7977 < #define HAVE_SPRNG_H 1
7978 < _ACEOF
7976 >    cat >config.tmp.Makefile <<EOF
7977 > include $cgal_makefile
7978 > default:
7979 >        @echo CGAL_OS_COMPILER=\"\${CGAL_OS_COMPILER}\" >config.tmp.cgalvariables
7980 >        @echo CGAL_INCLDIR=\"\${CGAL_INCL_DIR}\" >>config.tmp.cgalvariables
7981 >        @echo CGAL_INCLCONFDIR=\"\${CGAL_INCL_CONF_DIR}\" >>config.tmp.cgalvariables
7982 >        @echo CGAL_LIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
7983 >        @echo CGAL_RLIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
7984 >        @echo CGAL_CXXFLAGS=\"\${CGAL_CXXFLAGS}\" >>config.tmp.cgalvariables
7985 >        @echo GMP_INCLDIR=\"\${GMP_INCL_DIR}\" >>config.tmp.cgalvariables
7986 >        @echo GMP_LIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
7987 >        @echo GMP_RLIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
7988 >        @echo LEDA_INCLDIR=\"\${LEDA_INCL_DIR}\" >>config.tmp.cgalvariables
7989 >        @echo LEDA_LIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
7990 >        @echo LEDA_RLIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
7991 > EOF
7992  
7993 < fi
7993 >    make -s -f config.tmp.Makefile
7994 >    . config.tmp.cgalvariables
7995  
7996 < ac_ext=c
7781 < ac_cpp='$CPP $CPPFLAGS'
7782 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7783 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7784 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
7996 >    rm -f config.tmp.Makefile config.tmp.cgalvariables
7997  
7998 < ac_save_LDFLAGS=$LDFLAGS
7999 < LDFLAGS="${LDFLAGS} -L${SPRNG_LIB_DIR} "
7998 >    if test "x$CGAL_INCLDIR" = "x"; then
7999 >      CGAL_INCLDIR=""
8000 >    fi
8001  
8002 < echo "$as_me:$LINENO: checking for init_rng in -lsprng" >&5
8003 < echo $ECHO_N "checking for init_rng in -lsprng... $ECHO_C" >&6
8004 < if test "${ac_cv_lib_sprng_init_rng+set}" = set; then
8002 >    if test "x$CGAL_LIBDIR" = "x"; then
8003 >      CGAL_LIBDIR=""
8004 >    fi
8005 >
8006 >    if test "x$CGAL_RLIBDIR" = "x"; then
8007 >      CGAL_RLIBDIR=""
8008 >    fi
8009 >
8010 >    if test "x$LEDA_INCLDIR" = "x"; then
8011 >      LEDA_INCLDIR=""
8012 >    fi
8013 >
8014 >    if test "x$LEDA_LIBDIR" = "x"; then
8015 >      LEDA_LIBDIR=""
8016 >    fi
8017 >
8018 >    if test "x$LEDA_RLIBDIR" = "x"; then
8019 >      LEDA_RLIBDIR=""
8020 >    fi
8021 >
8022 >    if test "x$GMP_INCLDIR" = "x"; then
8023 >      GMP_INCLDIR=""
8024 >    fi
8025 >
8026 >    if test "x$GMP_LIBDIR" = "x"; then
8027 >      GMP_LIBDIR=""
8028 >    fi
8029 >
8030 >    if test "x$GMP_RLIBDIR" = "x"; then
8031 >      GMP_RLIBDIR=""
8032 >    fi
8033 >
8034 >    echo "$as_me:$LINENO: result: CGAL_OS_COMPILER=   $CGAL_OS_COMPILER" >&5
8035 > echo "${ECHO_T}CGAL_OS_COMPILER=   $CGAL_OS_COMPILER" >&6
8036 >    echo "$as_me:$LINENO: result: CGAL_INCLDIR=       $CGAL_INCLDIR" >&5
8037 > echo "${ECHO_T}CGAL_INCLDIR=       $CGAL_INCLDIR" >&6
8038 >    echo "$as_me:$LINENO: result: CGAL_INCLCONFDIR=   $CGAL_INCLCONFDIR" >&5
8039 > echo "${ECHO_T}CGAL_INCLCONFDIR=   $CGAL_INCLCONFDIR" >&6
8040 >    echo "$as_me:$LINENO: result: CGAL_LIBDIR=        $CGAL_LIBDIR" >&5
8041 > echo "${ECHO_T}CGAL_LIBDIR=        $CGAL_LIBDIR" >&6
8042 >    echo "$as_me:$LINENO: result: CGAL_CXXFLAGS=      $CGAL_CXXFLAGS" >&5
8043 > echo "${ECHO_T}CGAL_CXXFLAGS=      $CGAL_CXXFLAGS" >&6
8044 >    echo "$as_me:$LINENO: result: LEDA_INCLDIR=       $LEDA_INCLDIR" >&5
8045 > echo "${ECHO_T}LEDA_INCLDIR=       $LEDA_INCLDIR" >&6
8046 >    echo "$as_me:$LINENO: result: LEDA_LIBDIR=        $LEDA_LIBDIR" >&5
8047 > echo "${ECHO_T}LEDA_LIBDIR=        $LEDA_LIBDIR" >&6
8048 >    echo "$as_me:$LINENO: result: GMP_INCLDIR=        $GMP_INCLDIR" >&5
8049 > echo "${ECHO_T}GMP_INCLDIR=        $GMP_INCLDIR" >&6
8050 >    echo "$as_me:$LINENO: result: GMP_LIBDIR=         $GMP_LIBDIR" >&5
8051 > echo "${ECHO_T}GMP_LIBDIR=         $GMP_LIBDIR" >&6
8052 >
8053 >    ac_ext=cc
8054 > ac_cpp='$CXXCPP $CPPFLAGS'
8055 > ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8056 > ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8057 > ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8058 >
8059 >    save_CXXFLAGS="$CXXFLAGS"
8060 >    CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
8061 >
8062 > ac_ext=cc
8063 > ac_cpp='$CXXCPP $CPPFLAGS'
8064 > ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8065 > ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8066 > ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8067 > echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
8068 > echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
8069 > if test -z "$CXXCPP"; then
8070 >  if test "${ac_cv_prog_CXXCPP+set}" = set; then
8071    echo $ECHO_N "(cached) $ECHO_C" >&6
8072   else
8073 <  ac_check_lib_save_LIBS=$LIBS
8074 < LIBS="-lsprng  $LIBS"
8075 < cat >conftest.$ac_ext <<_ACEOF
8073 >      # Double quotes because CXXCPP needs to be expanded
8074 >    for CXXCPP in "$CXX -E" "/lib/cpp"
8075 >    do
8076 >      ac_preproc_ok=false
8077 > for ac_cxx_preproc_warn_flag in '' yes
8078 > do
8079 >  # Use a header file that comes with gcc, so configuring glibc
8080 >  # with a fresh cross-compiler works.
8081 >  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
8082 >  # <limits.h> exists even on freestanding compilers.
8083 >  # On the NeXT, cc -E runs the code through the compiler's parser,
8084 >  # not just through cpp. "Syntax error" is here to catch this case.
8085 >  cat >conftest.$ac_ext <<_ACEOF
8086   /* confdefs.h.  */
8087   _ACEOF
8088   cat confdefs.h >>conftest.$ac_ext
8089   cat >>conftest.$ac_ext <<_ACEOF
8090   /* end confdefs.h.  */
8091 <
8092 < /* Override any gcc2 internal prototype to avoid an error.  */
8093 < #ifdef __cplusplus
8094 < extern "C"
8091 > #ifdef __STDC__
8092 > # include <limits.h>
8093 > #else
8094 > # include <assert.h>
8095   #endif
8096 < /* We use char because int might match the return type of a gcc2
7808 <   builtin and then its argument prototype would still apply.  */
7809 < char init_rng ();
7810 < int
7811 < main ()
7812 < {
7813 < init_rng ();
7814 <  ;
7815 <  return 0;
7816 < }
8096 >                     Syntax error
8097   _ACEOF
8098 < rm -f conftest.$ac_objext conftest$ac_exeext
8099 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7820 <  (eval $ac_link) 2>conftest.er1
8098 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8099 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8100    ac_status=$?
8101    grep -v '^ *+' conftest.er1 >conftest.err
8102    rm -f conftest.er1
8103    cat conftest.err >&5
8104    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8105 <  (exit $ac_status); } &&
8106 <         { ac_try='test -z "$ac_c_werror_flag"
8107 <                         || test ! -s conftest.err'
8108 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8109 <  (eval $ac_try) 2>&5
8110 <  ac_status=$?
8111 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7833 <  (exit $ac_status); }; } &&
7834 <         { ac_try='test -s conftest$ac_exeext'
7835 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7836 <  (eval $ac_try) 2>&5
7837 <  ac_status=$?
7838 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7839 <  (exit $ac_status); }; }; then
7840 <  ac_cv_lib_sprng_init_rng=yes
8105 >  (exit $ac_status); } >/dev/null; then
8106 >  if test -s conftest.err; then
8107 >    ac_cpp_err=$ac_cxx_preproc_warn_flag
8108 >    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8109 >  else
8110 >    ac_cpp_err=
8111 >  fi
8112   else
8113 +  ac_cpp_err=yes
8114 + fi
8115 + if test -z "$ac_cpp_err"; then
8116 +  :
8117 + else
8118    echo "$as_me: failed program was:" >&5
8119   sed 's/^/| /' conftest.$ac_ext >&5
8120  
8121 < ac_cv_lib_sprng_init_rng=no
8121 >  # Broken: fails on valid input.
8122 > continue
8123   fi
8124 < rm -f conftest.err conftest.$ac_objext \
7848 <      conftest$ac_exeext conftest.$ac_ext
7849 < LIBS=$ac_check_lib_save_LIBS
7850 < fi
7851 < echo "$as_me:$LINENO: result: $ac_cv_lib_sprng_init_rng" >&5
7852 < echo "${ECHO_T}$ac_cv_lib_sprng_init_rng" >&6
7853 < if test $ac_cv_lib_sprng_init_rng = yes; then
7854 <  SPRNG_LIB="-lsprng"
7855 < else
8124 > rm -f conftest.err conftest.$ac_ext
8125  
8126 <             { { echo "$as_me:$LINENO: error: Didn't find libsprng; check path for SPRNG package first..." >&5
8127 < echo "$as_me: error: Didn't find libsprng; check path for SPRNG package first..." >&2;}
8128 <   { (exit 1); exit 1; }; }
8129 <             USE_SPRNG="no"
8130 <
8131 < fi
8132 <
8133 <
8134 < if test "$USE_SPRNG" = "no"; then
8135 <  { { echo "$as_me:$LINENO: error: No working SPRNG library found" >&5
8136 < echo "$as_me: error: No working SPRNG library found" >&2;}
8137 <   { (exit 1); exit 1; }; }
8126 >  # OK, works on sane cases.  Now check whether non-existent headers
8127 >  # can be detected and how.
8128 >  cat >conftest.$ac_ext <<_ACEOF
8129 > /* confdefs.h.  */
8130 > _ACEOF
8131 > cat confdefs.h >>conftest.$ac_ext
8132 > cat >>conftest.$ac_ext <<_ACEOF
8133 > /* end confdefs.h.  */
8134 > #include <ac_nonexistent.h>
8135 > _ACEOF
8136 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8137 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8138 >  ac_status=$?
8139 >  grep -v '^ *+' conftest.er1 >conftest.err
8140 >  rm -f conftest.er1
8141 >  cat conftest.err >&5
8142 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8143 >  (exit $ac_status); } >/dev/null; then
8144 >  if test -s conftest.err; then
8145 >    ac_cpp_err=$ac_cxx_preproc_warn_flag
8146 >    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8147 >  else
8148 >    ac_cpp_err=
8149 >  fi
8150 > else
8151 >  ac_cpp_err=yes
8152   fi
8153 + if test -z "$ac_cpp_err"; then
8154 +  # Broken: success on invalid input.
8155 + continue
8156 + else
8157 +  echo "$as_me: failed program was:" >&5
8158 + sed 's/^/| /' conftest.$ac_ext >&5
8159  
8160 +  # Passes both tests.
8161 + ac_preproc_ok=:
8162 + break
8163 + fi
8164 + rm -f conftest.err conftest.$ac_ext
8165  
8166 + done
8167 + # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
8168 + rm -f conftest.err conftest.$ac_ext
8169 + if $ac_preproc_ok; then
8170 +  break
8171   fi
8172  
8173 +    done
8174 +    ac_cv_prog_CXXCPP=$CXXCPP
8175  
8176 + fi
8177 +  CXXCPP=$ac_cv_prog_CXXCPP
8178 + else
8179 +  ac_cv_prog_CXXCPP=$CXXCPP
8180 + fi
8181 + echo "$as_me:$LINENO: result: $CXXCPP" >&5
8182 + echo "${ECHO_T}$CXXCPP" >&6
8183 + ac_preproc_ok=false
8184 + for ac_cxx_preproc_warn_flag in '' yes
8185 + do
8186 +  # Use a header file that comes with gcc, so configuring glibc
8187 +  # with a fresh cross-compiler works.
8188 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
8189 +  # <limits.h> exists even on freestanding compilers.
8190 +  # On the NeXT, cc -E runs the code through the compiler's parser,
8191 +  # not just through cpp. "Syntax error" is here to catch this case.
8192 +  cat >conftest.$ac_ext <<_ACEOF
8193 + /* confdefs.h.  */
8194 + _ACEOF
8195 + cat confdefs.h >>conftest.$ac_ext
8196 + cat >>conftest.$ac_ext <<_ACEOF
8197 + /* end confdefs.h.  */
8198 + #ifdef __STDC__
8199 + # include <limits.h>
8200 + #else
8201 + # include <assert.h>
8202 + #endif
8203 +                     Syntax error
8204 + _ACEOF
8205 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8206 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8207 +  ac_status=$?
8208 +  grep -v '^ *+' conftest.er1 >conftest.err
8209 +  rm -f conftest.er1
8210 +  cat conftest.err >&5
8211 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8212 +  (exit $ac_status); } >/dev/null; then
8213 +  if test -s conftest.err; then
8214 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8215 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8216 +  else
8217 +    ac_cpp_err=
8218 +  fi
8219 + else
8220 +  ac_cpp_err=yes
8221 + fi
8222 + if test -z "$ac_cpp_err"; then
8223 +  :
8224 + else
8225 +  echo "$as_me: failed program was:" >&5
8226 + sed 's/^/| /' conftest.$ac_ext >&5
8227  
8228 < echo "$as_me:$LINENO: checking if MKL is wanted" >&5
8229 < echo $ECHO_N "checking if MKL is wanted... $ECHO_C" >&6
8228 >  # Broken: fails on valid input.
8229 > continue
8230 > fi
8231 > rm -f conftest.err conftest.$ac_ext
8232  
8233 < # Check whether --with-mkl or --without-mkl was given.
8234 < if test "${with_mkl+set}" = set; then
8235 <  withval="$with_mkl"
8236 <     echo "$as_me:$LINENO: result: yes" >&5
8237 < echo "${ECHO_T}yes" >&6
8238 <    for dir in $withval /usr/local/intel/mkl61 /opt/intel/mkl61; do
8239 <        mkldir="$dir"
8240 <        if test -f "$dir/include/mkl.h"; then
8241 <            found_mkl="yes";
8242 <            break;
8243 <        fi
8244 <    done
8245 <    if test x_$found_mkl != x_yes; then
8246 <        { { echo "$as_me:$LINENO: error: Cannot find MKL includes" >&5
8247 < echo "$as_me: error: Cannot find MKL includes" >&2;}
8248 <   { (exit 1); exit 1; }; }
8249 <    else
8250 <        printf "MKL includes found in $mkldir/include\n";
8251 <    fi
8233 >  # OK, works on sane cases.  Now check whether non-existent headers
8234 >  # can be detected and how.
8235 >  cat >conftest.$ac_ext <<_ACEOF
8236 > /* confdefs.h.  */
8237 > _ACEOF
8238 > cat confdefs.h >>conftest.$ac_ext
8239 > cat >>conftest.$ac_ext <<_ACEOF
8240 > /* end confdefs.h.  */
8241 > #include <ac_nonexistent.h>
8242 > _ACEOF
8243 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8244 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8245 >  ac_status=$?
8246 >  grep -v '^ *+' conftest.er1 >conftest.err
8247 >  rm -f conftest.er1
8248 >  cat conftest.err >&5
8249 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8250 >  (exit $ac_status); } >/dev/null; then
8251 >  if test -s conftest.err; then
8252 >    ac_cpp_err=$ac_cxx_preproc_warn_flag
8253 >    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8254 >  else
8255 >    ac_cpp_err=
8256 >  fi
8257 > else
8258 >  ac_cpp_err=yes
8259 > fi
8260 > if test -z "$ac_cpp_err"; then
8261 >  # Broken: success on invalid input.
8262 > continue
8263 > else
8264 >  echo "$as_me: failed program was:" >&5
8265 > sed 's/^/| /' conftest.$ac_ext >&5
8266  
8267 +  # Passes both tests.
8268 + ac_preproc_ok=:
8269 + break
8270 + fi
8271 + rm -f conftest.err conftest.$ac_ext
8272  
8273 + done
8274 + # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
8275 + rm -f conftest.err conftest.$ac_ext
8276 + if $ac_preproc_ok; then
8277 +  :
8278 + else
8279 +  { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
8280 + See \`config.log' for more details." >&5
8281 + echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
8282 + See \`config.log' for more details." >&2;}
8283 +   { (exit 1); exit 1; }; }
8284 + fi
8285  
8286 <  ac_ext=c
8287 < ac_cpp='$CPP $CPPFLAGS'
8288 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8289 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8290 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
8286 > ac_ext=cc
8287 > ac_cpp='$CXXCPP $CPPFLAGS'
8288 > ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8289 > ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8290 > ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8291  
8292 <  ac_save_CPPFLAGS=$CPPFLAGS
8293 <  CPPFLAGS="${CPPFLAGS} -I${mkldir}/include"
8294 <  ac_save_LDFLAGS=$LDFLAGS
8295 <  LDFLAGS="${LDFLAGS} -L${mkldir}/lib/32 -lmkl -lvml -lguide"
8296 <  if test "${ac_cv_header_mkl_h+set}" = set; then
7912 <  echo "$as_me:$LINENO: checking for mkl.h" >&5
7913 < echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
7914 < if test "${ac_cv_header_mkl_h+set}" = set; then
8292 >
8293 > if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8294 >  echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
8295 > echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
8296 > if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8297    echo $ECHO_N "(cached) $ECHO_C" >&6
8298   fi
8299 < echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
8300 < echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
8299 > echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
8300 > echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
8301   else
8302    # Is the header compilable?
8303 < echo "$as_me:$LINENO: checking mkl.h usability" >&5
8304 < echo $ECHO_N "checking mkl.h usability... $ECHO_C" >&6
8303 > echo "$as_me:$LINENO: checking CGAL/Cartesian.h usability" >&5
8304 > echo $ECHO_N "checking CGAL/Cartesian.h usability... $ECHO_C" >&6
8305   cat >conftest.$ac_ext <<_ACEOF
8306   /* confdefs.h.  */
8307   _ACEOF
# Line 7927 | Line 8309 | $ac_includes_default
8309   cat >>conftest.$ac_ext <<_ACEOF
8310   /* end confdefs.h.  */
8311   $ac_includes_default
8312 < #include <mkl.h>
8312 > #include <CGAL/Cartesian.h>
8313   _ACEOF
8314   rm -f conftest.$ac_objext
8315   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 7938 | Line 8320 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
8320    cat conftest.err >&5
8321    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8322    (exit $ac_status); } &&
8323 <         { ac_try='test -z "$ac_c_werror_flag"
8323 >         { ac_try='test -z "$ac_cxx_werror_flag"
8324                           || test ! -s conftest.err'
8325    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8326    (eval $ac_try) 2>&5
# Line 7963 | Line 8345 | echo "$as_me:$LINENO: checking mkl.h presence" >&5
8345   echo "${ECHO_T}$ac_header_compiler" >&6
8346  
8347   # Is the header present?
8348 < echo "$as_me:$LINENO: checking mkl.h presence" >&5
8349 < echo $ECHO_N "checking mkl.h presence... $ECHO_C" >&6
8348 > echo "$as_me:$LINENO: checking CGAL/Cartesian.h presence" >&5
8349 > echo $ECHO_N "checking CGAL/Cartesian.h presence... $ECHO_C" >&6
8350   cat >conftest.$ac_ext <<_ACEOF
8351   /* confdefs.h.  */
8352   _ACEOF
8353   cat confdefs.h >>conftest.$ac_ext
8354   cat >>conftest.$ac_ext <<_ACEOF
8355   /* end confdefs.h.  */
8356 < #include <mkl.h>
8356 > #include <CGAL/Cartesian.h>
8357   _ACEOF
8358   if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8359    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
# Line 7982 | Line 8364 | if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$a
8364    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8365    (exit $ac_status); } >/dev/null; then
8366    if test -s conftest.err; then
8367 <    ac_cpp_err=$ac_c_preproc_warn_flag
8368 <    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
8367 >    ac_cpp_err=$ac_cxx_preproc_warn_flag
8368 >    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8369    else
8370      ac_cpp_err=
8371    fi
# Line 8003 | Line 8385 | case $ac_header_compiler:$ac_header_preproc:$ac_c_prep
8385   echo "${ECHO_T}$ac_header_preproc" >&6
8386  
8387   # So?  What about this header?
8388 < case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
8388 > case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
8389    yes:no: )
8390 <    { echo "$as_me:$LINENO: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&5
8391 < echo "$as_me: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
8392 <    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the compiler's result" >&5
8393 < echo "$as_me: WARNING: mkl.h: proceeding with the compiler's result" >&2;}
8390 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&5
8391 > echo "$as_me: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
8392 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&5
8393 > echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&2;}
8394      ac_header_preproc=yes
8395      ;;
8396    no:yes:* )
8397 <    { echo "$as_me:$LINENO: WARNING: mkl.h: present but cannot be compiled" >&5
8398 < echo "$as_me: WARNING: mkl.h: present but cannot be compiled" >&2;}
8399 <    { echo "$as_me:$LINENO: WARNING: mkl.h:     check for missing prerequisite headers?" >&5
8400 < echo "$as_me: WARNING: mkl.h:     check for missing prerequisite headers?" >&2;}
8401 <    { echo "$as_me:$LINENO: WARNING: mkl.h: see the Autoconf documentation" >&5
8402 < echo "$as_me: WARNING: mkl.h: see the Autoconf documentation" >&2;}
8403 <    { echo "$as_me:$LINENO: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&5
8404 < echo "$as_me: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&2;}
8405 <    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the preprocessor's result" >&5
8406 < echo "$as_me: WARNING: mkl.h: proceeding with the preprocessor's result" >&2;}
8407 <    { echo "$as_me:$LINENO: WARNING: mkl.h: in the future, the compiler will take precedence" >&5
8408 < echo "$as_me: WARNING: mkl.h: in the future, the compiler will take precedence" >&2;}
8397 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&5
8398 > echo "$as_me: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&2;}
8399 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&5
8400 > echo "$as_me: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&2;}
8401 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&5
8402 > echo "$as_me: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&2;}
8403 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&5
8404 > echo "$as_me: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&2;}
8405 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&5
8406 > echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&2;}
8407 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&5
8408 > echo "$as_me: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&2;}
8409      (
8410        cat <<\_ASBOX
8411   ## ------------------------------ ##
# Line 8034 | Line 8416 | echo "$as_me:$LINENO: checking for mkl.h" >&5
8416        sed "s/^/$as_me: WARNING:     /" >&2
8417      ;;
8418   esac
8419 < echo "$as_me:$LINENO: checking for mkl.h" >&5
8420 < echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
8421 < if test "${ac_cv_header_mkl_h+set}" = set; then
8419 > echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
8420 > echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
8421 > if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8422    echo $ECHO_N "(cached) $ECHO_C" >&6
8423   else
8424 <  ac_cv_header_mkl_h=$ac_header_preproc
8424 >  ac_cv_header_CGAL_Cartesian_h=$ac_header_preproc
8425   fi
8426 < echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
8427 < echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
8426 > echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
8427 > echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
8428  
8429   fi
8430 < if test $ac_cv_header_mkl_h = yes; then
8431 <
8050 <    echo "$as_me:$LINENO: checking for vslNewStream in -lmkl" >&5
8051 < echo $ECHO_N "checking for vslNewStream in -lmkl... $ECHO_C" >&6
8052 < if test "${ac_cv_lib_mkl_vslNewStream+set}" = set; then
8053 <  echo $ECHO_N "(cached) $ECHO_C" >&6
8430 > if test $ac_cv_header_CGAL_Cartesian_h = yes; then
8431 >  cgal=yes
8432   else
8433 <  ac_check_lib_save_LIBS=$LIBS
8434 < LIBS="-lmkl  $LIBS"
8433 >  cgal=no
8434 > fi
8435 >
8436 >
8437 >    CXXFLAGS="$save_CXXFLAGS"
8438 >
8439 >    if test "x$cgal" = xyes; then
8440 >      echo "$as_me:$LINENO: checking for CGAL version" >&5
8441 > echo $ECHO_N "checking for CGAL version... $ECHO_C" >&6
8442 >      LOCATION=${CGAL_INCLDIR}
8443 >      LOCATION=${LOCATION:-/usr/include}
8444 >      if test -f $LOCATION/CGAL/version.h; then
8445 >        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/version.h | sed 's/[^0-9\.]*//g'`
8446 >      else
8447 >        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/config.h | sed 's/[^0-9\.]*//g'`
8448 >      fi
8449 >      if echo $CGAL_VERSION | grep -q "^[3456789]"; then
8450 >        echo "$as_me:$LINENO: result: ($CGAL_VERSION) yes" >&5
8451 > echo "${ECHO_T}($CGAL_VERSION) yes" >&6
8452 >      else
8453 >        echo "$as_me:$LINENO: result: ($CGAL_VERSION) no" >&5
8454 > echo "${ECHO_T}($CGAL_VERSION) no" >&6
8455 >        cgal=no
8456 >      fi
8457 >    fi
8458 >
8459 >    if test "x$cgal" = xyes; then
8460 >      CGAL_LIBS="-lCGAL"
8461 >      echo "$as_me:$LINENO: checking whether CGAL uses LEDA" >&5
8462 > echo $ECHO_N "checking whether CGAL uses LEDA... $ECHO_C" >&6
8463 >      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_LEDA; then
8464 >        CGAL_USES_LEDA=yes
8465 >        echo "$as_me:$LINENO: result: yes" >&5
8466 > echo "${ECHO_T}yes" >&6
8467 >        CGAL_DEFINES="-DCGAL_USE_LEDA -DLEDA_PREFIX"
8468 >      else
8469 >        echo "$as_me:$LINENO: result: no" >&5
8470 > echo "${ECHO_T}no" >&6
8471 >        CGAL_USES_LEDA=no
8472 >      fi
8473 >
8474 >      echo "$as_me:$LINENO: checking whether CGAL uses GMP" >&5
8475 > echo $ECHO_N "checking whether CGAL uses GMP... $ECHO_C" >&6
8476 >      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_GMP; then
8477 >        CGAL_USES_GMP=yes
8478 >        echo "$as_me:$LINENO: result: yes" >&5
8479 > echo "${ECHO_T}yes" >&6
8480 >        CGAL_DEFINES="-DCGAL_USE_GMP $CGAL_DEFINES"
8481 >      else
8482 >        echo "$as_me:$LINENO: result: no" >&5
8483 > echo "${ECHO_T}no" >&6
8484 >        CGAL_USES_GMP=no
8485 >      fi
8486 >
8487 >      CGAL_LIBS="$CGAL_LIBS -lm"
8488 >
8489 >      CGAL_CXXFLAGS="-ftemplate-depth-50"
8490 >
8491 >      echo "$as_me:$LINENO: result: CGAL_USES_LEDA=     $CGAL_USES_LEDA" >&5
8492 > echo "${ECHO_T}CGAL_USES_LEDA=     $CGAL_USES_LEDA" >&6
8493 >      echo "$as_me:$LINENO: result: CGAL_USES_GMP =     $CGAL_USES_GMP" >&5
8494 > echo "${ECHO_T}CGAL_USES_GMP =     $CGAL_USES_GMP" >&6
8495 >      echo "$as_me:$LINENO: result: CGAL_INCLDIR  =     $CGAL_INCLDIR" >&5
8496 > echo "${ECHO_T}CGAL_INCLDIR  =     $CGAL_INCLDIR" >&6
8497 >      echo "$as_me:$LINENO: result: CGAL_LIBDIR   =     $CGAL_LIBDIR" >&5
8498 > echo "${ECHO_T}CGAL_LIBDIR   =     $CGAL_LIBDIR" >&6
8499 >      echo "$as_me:$LINENO: result: CGAL_DEFINES  =     $CGAL_DEFINES" >&5
8500 > echo "${ECHO_T}CGAL_DEFINES  =     $CGAL_DEFINES" >&6
8501 >      echo "$as_me:$LINENO: result: CGAL_CXXFLAGS =     $CGAL_CXXFLAGS" >&5
8502 > echo "${ECHO_T}CGAL_CXXFLAGS =     $CGAL_CXXFLAGS" >&6
8503 >      echo "$as_me:$LINENO: result: CGAL_LIBS     =     $CGAL_LIBS" >&5
8504 > echo "${ECHO_T}CGAL_LIBS     =     $CGAL_LIBS" >&6
8505 >    fi
8506 >
8507 >    if test "x$cgal" = xyes; then
8508 >      save_LIBS="$LIBS"
8509 >      LIBS="$LIBS -L$CGAL_LIBDIR"
8510 >      if test "x$CGAL_USES_LEDA" = xyes; then
8511 >        LIBS="-lL $LIBS -L$LEDA_LIBDIR"
8512 >      fi
8513 >      # if test "x$CGAL_USES_GMP" = xyes; then
8514 >      #   LIBS="-lgmp $LIBS $GMP_LIBDIR"
8515 >      # fi
8516 >      echo "$as_me:$LINENO: checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL" >&5
8517 > echo $ECHO_N "checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL... $ECHO_C" >&6
8518 > save_CXXFLAGS_CHECK_CXX_LIB="$CXXFLAGS"
8519 > CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
8520 > save_LIBS_CHECK_CXX_LIB="$LIBS"
8521 > LIBS="-lCGAL  $LIBS"
8522   cat >conftest.$ac_ext <<_ACEOF
8523   /* confdefs.h.  */
8524   _ACEOF
8525   cat confdefs.h >>conftest.$ac_ext
8526   cat >>conftest.$ac_ext <<_ACEOF
8527   /* end confdefs.h.  */
8528 <
8064 < /* Override any gcc2 internal prototype to avoid an error.  */
8065 < #ifdef __cplusplus
8066 < extern "C"
8067 < #endif
8068 < /* We use char because int might match the return type of a gcc2
8069 <   builtin and then its argument prototype would still apply.  */
8070 < char vslNewStream ();
8528 > #include <CGAL/Cartesian.h>
8529   int
8530   main ()
8531   {
8532 < vslNewStream ();
8532 > ::CGAL::Cartesian<int>::Point_2 P
8533    ;
8534    return 0;
8535   }
# Line 8085 | Line 8543 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8543    cat conftest.err >&5
8544    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8545    (exit $ac_status); } &&
8546 <         { ac_try='test -z "$ac_c_werror_flag"
8546 >         { ac_try='test -z "$ac_cxx_werror_flag"
8547                           || test ! -s conftest.err'
8548    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8549    (eval $ac_try) 2>&5
# Line 8098 | Line 8556 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8556    ac_status=$?
8557    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8558    (exit $ac_status); }; }; then
8559 <  ac_cv_lib_mkl_vslNewStream=yes
8559 >  echo "$as_me:$LINENO: result: yes" >&5
8560 > echo "${ECHO_T}yes" >&6
8561 > cgal=yes
8562   else
8563    echo "$as_me: failed program was:" >&5
8564   sed 's/^/| /' conftest.$ac_ext >&5
8565  
8566 < ac_cv_lib_mkl_vslNewStream=no
8566 > echo "$as_me:$LINENO: result: no" >&5
8567 > echo "${ECHO_T}no" >&6
8568 > cgal=no
8569   fi
8570   rm -f conftest.err conftest.$ac_objext \
8571        conftest$ac_exeext conftest.$ac_ext
8572 < LIBS=$ac_check_lib_save_LIBS
8573 < fi
8574 < echo "$as_me:$LINENO: result: $ac_cv_lib_mkl_vslNewStream" >&5
8575 < echo "${ECHO_T}$ac_cv_lib_mkl_vslNewStream" >&6
8114 < if test $ac_cv_lib_mkl_vslNewStream = yes; then
8115 <  MKL_LIBDIR="${mkldir}/lib/32",
8116 <                     MKL_LIB="-lmkl -lvml -lguide",
8117 <                     HAVE_MKL="yes"
8118 < fi
8572 > CXXFLAGS="$save_CXXFLAGS_CHECK_CXX_LIB"
8573 > LIBS="$save_LIBS_CHECK_CXX_LIB"
8574 >      LIBS="$save_LIBS"
8575 >    fi
8576  
8577 <
8121 < else
8122 <  MKL_INC="-I${mkldir}/include"
8123 < fi
8124 <
8125 <
8126 <  CPPFLAGS=$ac_save_CPPFLAGS
8127 <  LDFLAGS=$ac_save_LDFLAGS
8577 >  fi
8578    ac_ext=c
8579   ac_cpp='$CPP $CPPFLAGS'
8580   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
# Line 8132 | Line 8582 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
8582   ac_compiler_gnu=$ac_cv_c_compiler_gnu
8583  
8584  
8585 <  if test x_$HAVE_MKL != x_yes; then
8136 <        { { echo "$as_me:$LINENO: error: Can't build with MKL" >&5
8137 < echo "$as_me: error: Can't build with MKL" >&2;}
8138 <   { (exit 1); exit 1; }; }
8139 <  fi
8585 > fi
8586  
8587 + if test "x$cgal" = xyes; then
8588 +  USE_CGAL=yes
8589  
8590 + cat >>confdefs.h <<\_ACEOF
8591 + #define HAVE_CGAL 1
8592 + _ACEOF
8593  
8594  
8595 + cat >>confdefs.h <<_ACEOF
8596 + #define CGAL_VERSION $CGAL_VERSION
8597 + _ACEOF
8598  
8599 +  if ! echo $CGAL_VERSION | grep -q "^3.0"; then
8600 +    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
8601 + echo "$as_me: WARNING: *****************************************************" >&2;}
8602 +    { echo "$as_me:$LINENO: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&5
8603 + echo "$as_me: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&2;}
8604 +    { echo "$as_me:$LINENO: WARNING: *** supported versions. It may still work though. ***" >&5
8605 + echo "$as_me: WARNING: *** supported versions. It may still work though. ***" >&2;}
8606 +    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
8607 + echo "$as_me: WARNING: *****************************************************" >&2;}
8608 +  fi
8609   else
8610 +   if test "x$cgal_makefile" != xno; then
8611 +    echo "$as_me:$LINENO: result: No CGAL support. These are not the droids you want." >&5
8612 + echo "${ECHO_T}No CGAL support. These are not the droids you want." >&6
8613 +  fi
8614 +  CGAL_INCLDIR=
8615 +  CGAL_LIBDIR=
8616 +  CGAL_RLIBDIR=
8617 +  CGAL_DEFINES=
8618 +  CGAL_CXXFLAGS=
8619 +  CGAL_LIBS=
8620 + fi
8621  
8147    echo "$as_me:$LINENO: result: no" >&5
8148 echo "${ECHO_T}no" >&6
8622  
8623 < fi;
8623 > CGAL_INC_DIR="${CGAL_INCLDIR} ${CGAL_INCLCONFDIR}"
8624  
8625 + CGAL_LIB_DIR=${CGAL_LIBDIR}
8626  
8627 + CGAL_RLIB_DIR=${CGAL_RLIBDIR}
8628  
8629 +
8630 +
8631 +
8632 +
8633 +
8634 +
8635   # Check whether --enable-doxygen or --disable-doxygen was given.
8636   if test "${enable_doxygen+set}" = set; then
8637    enableval="$enable_doxygen"
# Line 8351 | Line 8832 | esac
8832  
8833            ac_config_headers="$ac_config_headers src/config.h"
8834  
8835 <                    ac_config_files="$ac_config_files make/Makefile src/utils/Makefile"
8835 >                                        ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/applications/nanoRodBuilder/Makefile scripts/filepp"
8836  
8837  
8838   cat >confcache <<\_ACEOF
# Line 8884 | Line 9365 | do
9365    # Handling of arguments.
9366    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
9367    "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
9368 +  "src/applications/nanoRodBuilder/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/applications/nanoRodBuilder/Makefile" ;;
9369 +  "scripts/filepp" ) CONFIG_FILES="$CONFIG_FILES scripts/filepp" ;;
9370    "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
9371    "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
9372    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
# Line 9020 | Line 9503 | s,@AR@,$AR,;t t
9503   s,@LEX@,$LEX,;t t
9504   s,@LEXLIB@,$LEXLIB,;t t
9505   s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
9506 + s,@PERLINTERP@,$PERLINTERP,;t t
9507 + s,@PERL_SHEBANG@,$PERL_SHEBANG,;t t
9508   s,@AR@,$AR,;t t
9509 + s,@PS@,$PS,;t t
9510   s,@MPI_LIB_DIR@,$MPI_LIB_DIR,;t t
9511   s,@MPI_INC_DIR@,$MPI_INC_DIR,;t t
9512   s,@MPI_F90_INC@,$MPI_F90_INC,;t t
9513   s,@MPI_LIB@,$MPI_LIB,;t t
9514   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
9515   s,@USE_MPI@,$USE_MPI,;t t
9516 < s,@SPRNG_LIB_DIR@,$SPRNG_LIB_DIR,;t t
9517 < s,@SPRNG_INC_DIR@,$SPRNG_INC_DIR,;t t
9518 < s,@SPRNG_LIB@,$SPRNG_LIB,;t t
9519 < s,@USE_SPRNG@,$USE_SPRNG,;t t
9520 < s,@MKL_LIBDIR@,$MKL_LIBDIR,;t t
9521 < s,@MKL_LIB@,$MKL_LIB,;t t
9522 < s,@MKL_INC@,$MKL_INC,;t t
9523 < s,@HAVE_MKL@,$HAVE_MKL,;t t
9516 > s,@CXXCPP@,$CXXCPP,;t t
9517 > s,@USE_CGAL@,$USE_CGAL,;t t
9518 > s,@CGAL_INC_DIR@,$CGAL_INC_DIR,;t t
9519 > s,@CGAL_LIB_DIR@,$CGAL_LIB_DIR,;t t
9520 > s,@CGAL_RLIB_DIR@,$CGAL_RLIB_DIR,;t t
9521 > s,@CGAL_DEFINES@,$CGAL_DEFINES,;t t
9522 > s,@CGAL_CXXFLAGS@,$CGAL_CXXFLAGS,;t t
9523 > s,@CGAL_LIBS@,$CGAL_LIBS,;t t
9524   s,@DOXYGEN@,$DOXYGEN,;t t
9525   s,@DOT@,$DOT,;t t
9526   s,@DOC@,$DOC,;t t
# Line 9284 | Line 9770 | done
9770      rm -f $tmp/out
9771    fi
9772  
9773 +  # Run the commands associated with the file.
9774 +  case $ac_file in
9775 +    make/Makefile ) chmod 0755 scripts/* ;;
9776 +    src/utils/Makefile ) chmod 0755 scripts/* ;;
9777 +    src/applications/nanoRodBuilder/Makefile ) chmod 0755 scripts/* ;;
9778 +    scripts/filepp ) chmod 0755 scripts/* ;;
9779 +  esac
9780   done
9781   _ACEOF
9782   cat >>$CONFIG_STATUS <<\_ACEOF

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines